Subject: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

From: <[email-masked]>
Date: Mon, 23 Aug 2021 14:51:27 +0800 (CST)

Hi Sue and Authors,

This draft is useful and important as the control plane for SR service programming.
But I think the following points need more description or clarification.

1、The Service Type Table in section 4.1 allocates service values for only four services(Classifier, Firewall, Load Balancer, DPI).  But the number of service functions is more that that, e.g, HTTP Header Enrichment functions, TCP optimizer, HOST_ID injection, etc.
RFC 9015 section10.5 shows the "Service Function Chaining Service Function Types" Registry in the BGP control plane for NSH. Maybe this draft can refer to that.

2、To associate the Service SID value with Service-related Information, new TLVs are defined for SR-MPLS SID/Label TLV in this draft. 
But the SR-MPLS SID/Label TLV is used to indicate the first label of the SRGB/SRLG range.
Since the purpose is to associate the service information with each single service label, it's more reasonable to carry the new TLVs in Prefix-SID TLV, or maybe Adjacency SID TLV as well(not sure if the service SID  can be an adj-SID). 

3、As for my understanding, in SRv6 SFC, since each type of SR proxy has its own SID endpoint behavior codepoint as defined draft-ietf-spring-sr-service-programming, and the endpoint behavior is carried in SRv6 Endpoint Behavior TLV in BGP-LS, we can get the SR proxy info of the SID through the corresponding endpoint behavior, right?
So why the "Segment Routing Function Identifier(SFI)" with new code points for SR Proxy in section 4.2 is needed.

4、How to get the SR proxy type of the SID through BGP-LS in SR-MPLS dataplane? didn't see the detailed description in the draft.

Regards,
Yao